# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:errordestinationtype) do
  include EasyType

  desc <<-DESC
  error destination jms type of the topic

  DESC

  newvalues('Queues', 'Topics')
  defaultto('Queues')

  data_type("Optional[Enum['Queues', 'Topics']]")
end
