# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jmx_platform_mbean_server_used, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Platform MBean server used.

  DESC

  data_type('Optional[String]')

  maps_to('JMX/%<domain_name>s/PlatformMBeanServerUsed')
end
