# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jpa_default_provider, :parent => Puppet::Parameter::WlsProperty) do
  extend Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-DESC
    The JPA default provider java class.

  DESC

  # TODO: Check this out
  # newvalues(/^TopLink$/i,/Kodo$/i)

  maps_to('JPA/%<domain_name>s/DefaultJPAProvider')

  # data_type("Optional[Enum['absent','TopLink','Kodo']]")
end
