# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The user to use for the Foreign JNDI provider

  DESC

  data_type('Optional[String]')

  maps_to('User')
end
