# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:activetypes) do
  include EasyType

  desc <<-DESC
  :: seperated list of active types

  DESC

  data_type("Optional[Variant[Enum['absent'],String[1]]]")

  to_translate_to_resource do |raw_resource|
    raw_resource['activetypes']
  end
end
