# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:attachjmsxuserid, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  attachjmsxuserid

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('SecurityParams/%<connection_factory_name>s/AttachJMSXUserId')
end
