# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:key_type, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The key type

  DESC

  newvalues('absent', 'Boolean', 'Byte', 'Short', 'Int', 'Long', 'Float', 'Double', 'String')

  maps_to('KeyType')
  data_type("Optional[Enum['absent', 'Boolean','Byte','Short','Int','Long','Float','Double','String']]")
end
