# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber
  desc <<-DESC
    The listenport of the machine

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to 'NodeManager/%<machine_name>s/ListenPort'
end
