# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:durabilityenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies whether or not the messaging bridge allows durable messages

  DESC

  data_type('Optional[String]')

  maps_to('DurabilityEnabled')
end
