# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:idletimemax, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The maximum amount of time, in seconds, that a messaging bridge instance remains idle.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('IdleTimeMaximum')
end
