# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:number_of_restart_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  number_of_restart_attempts

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('NumberOfRestartAttempts')
end
