# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  policy of the SAF imported destination

  DESC

  newvalues('absent', 'Discard', 'Log', 'Redirect', 'Always-Forward')

  defaultto 'Discard'

  maps_to('Policy')

  data_type("Optional[Enum['absent', 'Discard', 'Log', 'Redirect', 'Always-Forward']]")
end
