# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:usetimetolivedefault, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  use time to live default of this SAF imported destination

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('UseSAFTimeToLiveDefault')
end
