# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:weblogic_user, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  the weblogic user account

  DESC

  maps_to('SAFLoginContext/%<remote_context_name>s/Username')
end

child_of(:wls_user, :weblogic_user) { "#{domain}/#{weblogic_user}" }
