# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tlog_datasource_prefix, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The datasource prefix name for jdbc tlog

  DESC

  maps_to('PrefixName')
  data_type('Optional[String[1]]')
end
