# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tlog_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  Enables jdbc tlog functionality

  DESC
  newvalues('absent', 0, 1)

  defaultto 0

  maps_to('Enabled')

  data_type("Optional[Variant[Enum['absent'], Integer[0, 1]]]")
end
