# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user_preferred_server, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
    The preferred server to run this singleton service on.

  DESC

  # TODO: Add check if server is in cluster
  # preferredServer = cmo.lookupServer(user_preferred_server)
  #  preferredServerCluster = preferredServer.getCluster()
  #  if preferredServerCluster.getName() != cluster:
  #      raise RuntimeError, 'Preferred server is not part of the cluster the singleton service will run in.'
  #  singletonService.setUserPreferredServer(preferredServer)

  maps_to('UserPreferredServer/')
end
