# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:wrapdatatypes, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Should weblogic wrap data types.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCConnectionPoolParams/%<datasource_name>s/WrapTypes')
end
