# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:class_type_impl) do
  include EasyType
  include EasyType::Validators::Name

  desc 'The fully qualified classname of the default role mapper implementation'

  to_translate_to_resource do |raw_resource|
    raw_resource['class_type_impl']
  end
  data_type('Optional[String]')
end
