# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:maximum_server_count, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The maximum server count of this cluster

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('MaximumDynamicServerCount')
end
