# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:directory, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The file persistent store directory name

  DESC

  data_type('Optional[String]')

  maps_to('Directory')
end

child_of(:file) { directory }
