# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:adapter, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The JNDI name of the adapter used to communicate with the specified destination.

  DESC

  newvalues('eis.jms.WLSConnectionFactoryJNDINoTX', 'eis.jms.WLSConnectionFactoryJNDIXA')
  defaultto 'eis.jms.WLSConnectionFactoryJNDINoTX'

  maps_to('AdapterJNDIName')

  data_type("Optional[Enum['eis.jms.WLSConnectionFactoryJNDINoTX', 'eis.jms.WLSConnectionFactoryJNDIXA']]")
end
