# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mailproperty, :array_matching => :all, :parent => Puppet::Parameter::WlsHashProperty) do
  include EasyType::ArrayProperty

  desc <<-DESC
  The mail properties

  DESC

  data_type('Optional[Array[String]]')

  maps_to('Properties')
end
