# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:subdeployment, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The subdeployment name.

  DESC

  maps_to('SubDeploymentName')
end

child_of(:wls_jms_subdeployment, :subdeployment) { "#{domain}/#{jmsmodule}:#{subdeployment}" }
