# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unitoforderrouting, :parent => Puppet::Parameter::WlsProperty) do
  extend SAFImportedDestinationObjectProperty

  desc <<-DESC
  The unit of order routing of the SAF imported destination object

  DESC

  newvalues('Hash', 'PathService')

  maps_to('UnitOfOrderRouting')

  data_type("Optional[Enum['Hash', 'PathService']]")
end
