# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:weblogic_password, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  include EasyType

  desc <<-DESC
  Remote WebLogic password

  DESC

  maps_to('SAFLoginContext/%<remote_context_name>s/Password')
end
