# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_file_store, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The path name to the file system directory where the file store maintains its data files.

  DESC

  maps_to('DefaultFileStore/%<server_name>s/Directory')
end
