# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:additional_migration_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-DESC
    additional migration attempts

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  defaultto 2

  maps_to('AdditionalMigrationAttempts')
end
