# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:fairsharerequestclass, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The fairshare request class name

  DESC

  maps_to('FairShareRequestClass/')

  on_apply do
    apply_paths_with_reference("/SelfTuning/#{resource.domain_name}/FairShareRequestClasses", value)
  end
end
